| v_mix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVMix_LayerMaxWidth Struct Reference

This typedef contains maximum width per memory layer. More...

## Data Fields
u16 | Layer1MaxWidth
| Layer maximum column width. More...
u16 | Layer2MaxWidth
| Layer maximum column width. More...
u16 | Layer3MaxWidth
| Layer maximum column width. More...
u16 | Layer4MaxWidth
| Layer maximum column width. More...
u16 | Layer5MaxWidth
| Layer maximum column width. More...
u16 | Layer6MaxWidth
| Layer maximum column width. More...
u16 | Layer7MaxWidth
| Layer maximum column width. More...
u16 | Layer8MaxWidth
| Layer maximum column width. More...
u16 | Layer9MaxWidth
| Layer maximum column width. More...
u16 | Layer10MaxWidth
| Layer maximum column width. More...
u16 | Layer11MaxWidth
| Layer maximum column width. More...
u16 | Layer12MaxWidth
| Layer maximum column width. More...
u16 | Layer13MaxWidth
| Layer maximum column width. More...
u16 | Layer14MaxWidth
| Layer maximum column width. More...
u16 | Layer15MaxWidth
| Layer maximum column width. More...
u16 | Layer16MaxWidth
| Layer maximum column width. More...

## Detailed Description

This typedef contains maximum width per memory layer.

## Field Documentation

u16 XVMix_LayerMaxWidth::Layer10MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer11MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer12MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer13MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer14MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer15MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer16MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer1MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer2MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer3MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer4MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer5MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer6MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer7MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer8MaxWidth

Layer maximum column width.

u16 XVMix_LayerMaxWidth::Layer9MaxWidth

Layer maximum column width.